<div class='content'>
	<div class='container-fluid'>	
		<div class='row'><div class='col-10'><div class='hr'>&nbsp;</div></div></div>

		<?php debug($data); ?>

		<div class='row'>
			

			<div class='col-6'>
				<div class='row'>
					<div class='col-6'>
						<h1><?php echo $data['Product']['name']; ?></h1>
						<p class='small color--grey'><?php echo $data['Product']['SKU']; ?></p>
					</div>
					<div class='col-4'>
						<div class='text-right'>
							<span class='product__price--was'></span>
							<span class='product__price'></span>
						</div>
					</div>
				</div>

				<div class='row'>
					<div class='col-10'>
						<ul class='attributes'>
							<?php if(!empty($data['RelatedBrand'][0])): ?>
								<li>
									<i class='fa fa-info-circle'></i> 
									<?php 
										echo $this->Html->link($data['RelatedBrand'][0]['name'], array(
											'plugin' => 'ev_shop', 
											'controller' => 'products', 
											'action' => 'index', 
											'brand' => $data['RelatedBrand'][0]['id']
										)); 	
									?>
								</li>
							<?php endif; ?>
							
							<?php if(!empty($data['RelatedCategory'])): ?>
								<li>
									<i class='fa fa-tags'></i> 
									<?php 
										echo $this->Html->link($data['RelatedCategory'][0]['name'], array(
											'plugin' => 'ev_shop', 
											'controller' => 'products', 
											'action' => 'index', 
											'category' => $data['RelatedCategory'][0]['id']
										)); 	
									?>
								</li>
							<?php endif; ?>
							<?php if(!empty($data['Product']['lead_time'])): ?>
								<li><i class='fa fa-clock-o'></i> <?php echo $data['Product']['lead_time']; ?></li>
							<?php endif; ?>
						</ul>
					</div>
				</div>

				<div class='row'>
					<?php if(!empty($data['RelatedBrand'][0]['Image'][0])): ?>
						<div class='col col-1_6'>
							<?php 
								echo $this->Image->resize($data['RelatedBrand'][0]['Image'][0], array(
									'width' => 100, 
									'height' => 100, 
									'class' => 'full', 
									'alt' => $data['RelatedBrand'][0]['Image'][0]['alt'],
									'transparent' => true,
									'url' => array(
										'plugin' => 'ev_shop', 
										'controller' => 'products', 
										'action' => 'index', 
										'brand' => $data['RelatedBrand'][0]['id']
									)	
								));
							?>
						</div>

						<div class='col col-5_6'>
							<?php echo $data['Product']['description']; ?>
						</div>
					<?php else: ?>
						<div class='col col-6_6'>
							<?php echo $data['Product']['description']; ?>
						</div>
					<?php endif; ?>
				</div>

				<div class='row'><div class='col-10'><div class='hr'>&nbsp;</div></div></div>

				<div class='row'>
					<div class='col-10'>
						<form class='validate form--3-columns formSummation'>
							<?php foreach($productAttributes as $key=>$productAttribute): ?>
								<div class='col col-2_3'>
									<div class='input select has-info'>
										<label for='ProductAttribute<?php echo $productAttribute['ProductAttribute']['id']; ?>'>

											<?php if(!empty($productAttribute['ProductAttribute']['tooltip'])): ?>
												<span class='info'>
													<i class='fa fa-left fa-info-circle'></i>
													<div class='info__box'><?php echo $productAttribute['ProductAttribute']['tooltip']; ?></div>
												</span>
											<?php endif; ?>
											<?php echo $productAttribute['ProductAttribute']['name']; ?>
										</label>

										<?php 
											if(isset($productAttributes[$key+1])) {

												$nextSelect = 'data-nextSelect="ProductAttribute'.$productAttributes[$key+1]['ProductAttribute']['id'].'"';
												
											} else {

												$nextSelect = "";

											}
										?>
										<select name='data[ProductVariant][ProductAttributeOption][<?php echo $key; ?>]' id='ProductAttribute<?php echo $productAttribute['ProductAttribute']['id']; ?>' class='customSelect attributeSelect' data-attribute-id="<?php echo $productAttribute['ProductAttribute']['id']; ?>" <?php echo $nextSelect; ?>>
											<?php if($key == 0): ?>
												<?php foreach($productAttribute['ProductAttributeOption'] as $productAttributeOption): ?>
													<option 
														value='<?php echo $productAttributeOption['id']; ?>' 
														data-cost='<?php echo $productAttributeOption['min_price']; ?>'
														data-rrp='<?php echo $productAttributeOption['min_rrp']; ?>'
														data-stock='<?php echo $productAttributeOption['stock']; ?>'
														data-product-variant-id='<?php echo $productAttributeOption['product_variant_id']; ?>'
													><?php echo $productAttributeOption['name']; ?></option>
												<?php endforeach; ?>
											<?php else: ?>
												<option value=''>Please Select...</option>
											<?php endif; ?>
										</select>
									</div>
								</div>
								<div class='col col-1_3'>
									<div class='form__updated color--green' data-fieldID='ProductSize'><i class='fa fa-left fa-check'></i>Price Updated</div>
								</div>
							<?php endforeach; ?>

							<div class='col col-2_3 form--3-columns__price'>
								<label>
									<span class='product__price--was'></span>
									<span class='product__price'></span>
								</label>
								<button id="add-to-cart-button" type='submit'>
									<i class='fa fa-left fa-plus-circle'></i> Add to Cart</button>
								</button>
							</div>

							<div class='col col-1_3 form--3-columns__stock'>
								<div>
									<div style="display: none" class="stock-indicator stock-indicator--unavailable">
										<span class='color--red'><i class='fa fa-times'></i> Not in Stock</span>
									</div>
									<div style="display: none" class="stock-indicator stock-indicator--available">
										<span class='color--green'><i class='fa fa-check'></i> In Stock</span>
									</div>
								</div>
							</div>
						</form>

						<div class='tabs'>
							<div class='tabs__buttons'>
								<ul>
									<?php if(!empty($data['SpecificationBlock'][0]['body'])): ?>
										<li><a href='#tabs__specification'>Specification</a></li>
									<?php endif; ?>
									<?php if(!empty($data['DrawerConfigurationBlock'][0]['body'])): ?>
										<li><a href='#tabs__drawer_configurations'>Drawer Configurations</a></li>
									<?php endif; ?>
									<!-- <li><a href='#tabs__3'>Videos</a></li> -->
								</ul>
							</div>

							<?php if(!empty($data['SpecificationBlock'][0]['body'])): ?>
								<div id='tabs__specification'>
									<?php echo $data['SpecificationBlock'][0]['body']; ?>
								</div>
							<?php endif; ?>

							<?php if(!empty($data['DrawerConfigurationBlock'][0]['body'])): ?>
								<div id='tabs__drawer_configurations'>
									<?php echo $data['DrawerConfigurationBlock'][0]['body']; ?>
								</div>
							<?php endif; ?>

							<!-- <div id='tabs__3'>
								<p>Quis blandit leo gravida a. Nullam faucibus auctor justo ut interdum. Quisque pretium lacus porta elit imperdiet, at egestas dui aliquam. In posuere varius ipsum, quis blandit leo gravida a. Etiam eget orci in felis imperdiet scelerisque. Nulla at pellentesque lectus.</p>
							</div> -->
						</div>
					</div>
				</div>					
			</div>
		</div>
		
		<?php if(! empty($relatedProducts)): ?>
			<div class='row'>
				<div class='col-10'>
					<h2>Related Products</h2>
				</div>

				<div class='match-height-set'>
					<?php foreach($relatedProducts as $key=>$product): ?>
											
						<div class='col col-2'>
							<?php echo $this->Element('EvShop.Product/ProductBox', compact('product')); ?>
						</div>

					<?php endforeach; ?>
							
				</div>
			</div>
		<?php endif; ?>
	</div>
</div>
<?php
	
	//Used for pages ajax calls for product options
	 echo $this->Html->scriptBlock("
		var productId = ".$data['Product']['id'].";"
	);
?>
